@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    src: url(../fonts/Roboto-Regular.ttf) format('ttf');
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: lighter;
    src: url(../fonts/Roboto-Thin.ttf) format('ttf');
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 300;
    src: url(../fonts/Roboto-Light.ttf) format('ttf');
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: bold;
    src: url(../fonts/Roboto-Bold.ttf) format('ttf');
}

body {
    font-family: Roboto, Arial, Helvetica, sans-serif;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: Roboto, Arial, Helvetica, sans-serif;
    font-weight: 300;
}

img {
    max-width: 100%;
}

#header {
    height: 16rem;
    padding-bottom: 7rem;
}

#nav {
    background: none;
}

#wrapper > .bg {
    background-repeat: repeat;
    background-size: auto;
}

form {
    margin: 0;
    max-width: 100%;
}

.row.uniform {
    margin: 0 !important;
}

a:hover,
a:focus,
#nav a:hover,
#nav a:focus,
#nav ul.icons li a.icon:hover:before,
#nav ul.icons li a.icon:focus:before,
#nav ul.links li.active a:hover,
#nav ul.links li.active a:focus,
#footer a:hover,
#footer a:focus,
button:hover,
button:focus,
.button:hover,
.button:focus {
    color: #9e9e9e !important;
}

button:hover,
button:focus,
.button:hover,
.button:focus {
    box-shadow: inset 0 0 0 1px #9e9e9e;
}

input,
textarea {
    border-width: 1px !important;

    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

button,
.button {
    box-shadow: inset 0 0 0 1px #212931;    
}

input:hover,
input:focus,
textarea:hover,
textarea:focus {
    border-color: #9e9e9e !important;
}

input[type="submit"] {
    box-shadow: inset 0 0 0 1px #212931;
}

input[type="submit"]:hover,
input[type="submit"]:focus {
    color: #9e9e9e !important;
    box-shadow: inset 0 0 0 1px #9e9e9e;
}

#header .logo:hover {
    border-color: #9e9e9e !important;
    color: #9e9e9e !important;
}

.message {
    padding: 1rem;
    margin: 2rem 0;
}

.message.success {
    color: #00b60f;
    border: solid 1px #00b60f;
    background-color: #f4fff4;
}

.message.error {
    color: #ff3737;
    border: solid 1px #ff3737;
    background-color: #ffe2e2;
}

/* Teasers */

.teasers-wrapper {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin: 0;
}

.teaser:not(.first) {
    position: relative;
    top: 0;
    width: 32%;
    margin: 1%;
    margin-bottom: 1% !important;
    padding: 1rem 1rem 4rem 1rem !important;
    box-shadow: 1px 1px 7px #CCC;

    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.teaser:not(.first):hover,
.teaser:not(.first):focus {
    top: -0.5rem;
    box-shadow: 2px 2px 12px #CCC;
}

.teaser:not(.first):nth-of-type(3n+1) {
    margin-left: 0;
}

.teaser:not(.first):nth-of-type(3n) {
    margin-right: 0;
}

.teaser:not(.first) header h2 {
    height: 4rem;
}

.teaser:not(.first) .content {
    line-height: normal;
}

.teaser footer .prix {
    float: left;
    margin-left: .5rem;
}

.teaser header {
    cursor: pointer;
}

.teaser header .image {
    height: 14rem;
    overflow: hidden;
}

.teaser header .image img {
    width: auto;
    /* height: 12rem; */
    min-width: 100%;
}

.teaser.first header {
    margin-bottom: 1rem;
}

.teaser.first .content {
    width: 80%;
}

.teaser a {
    display: block;
    cursor: pointer;
    border: none;
    text-decoration: none;
}

.teaser footer {
    position: absolute;
    width: 100%;
    bottom: 0;
    left: 0;
    padding: 0.5rem;
    text-align: right;
}

.teaser.first footer {
    width: 20%;
    right: 0;
    left: auto;
    padding: 0;
}

.teaser footer .tag,
.tag {
    color: #fff;
    background-color: #9e9e9e;
    padding: 0.5rem;
    text-transform: uppercase;
}

#footer {
    padding: 2rem;
}

#footer p {
    margin: 0;
}

/* Page Accueil */

#index h1 {
    text-align: center;
    font-size: 2.8rem;
}

/* Formulaire recherche */

.search {
    margin-bottom: 2rem;
}

.search form input {
    display: inline-block;
}

.search form input[name="search"] {
    width: 79%;
    margin-right: 1%;
}

.search form input[type="submit"] {
    width: 20%;
}

.sort {
    margin-bottom: 2rem;
}

/* Page Détail Article */

#article .description {
    margin-top: 1rem;
    font-size: 1.2rem;
}

#article .prix {
    text-align: center;
    font-size: 2rem;
    color: #9e9e9e;
}

#article .photos {
    text-align: center;
}

#article .photos img {
    display: inline-block;
    width: 30rem;
}

#article .tailles {
    margin-bottom: 2rem;
}

#article .tailles .taille {
    display: inline-block;
    width: 2rem;
    height: 2rem;
    background-color: #e1e1e1;
    text-align: center;
    margin-left: 1rem;
}

#article .couleurs .couleur {
    display: inline-block;
    width: 2rem;
    height: 2rem;
    border: solid 2px #000;
    margin-left: 1rem;
}

/* Page New Recette */

#new-recette .title {
    font-family: 'Roboto';
    font-weight: 300;
    text-align: center;
}

#new-recette .f_new-recette .row {
    margin-bottom: 4rem !important;
}

#new-recette .select2-container img {
    width: 4rem;
    vertical-align: middle;
    margin-right: 1rem;
}

#new-recette .preparation #etapes {
    list-style: none;
}

#new-recette .preparation #etapes .etape {
    margin-bottom: 2rem;
}

#new-recette .preparation #etapes .etape .header {
    position: relative;
    left: -1.9rem;
    font-size: 1.5rem;
}

#new-recette .preparation #etapes .etape .header .handle {
    cursor: move; /* fallback if grab cursor is unsupported */
    cursor: grab;
    cursor: -moz-grab;
    cursor: -webkit-grab;
}

#new-recette .preparation #etapes .etape .header .remove-item {
    float: right;
    font-size: 2rem;
    box-shadow: none;
    padding: 0;
}

#new-recette .preparation .add-item {
    float: right;
}

#new-recette input[type="submit"] {
    width: 100%;
}
